#!/usr/bin/env bash

# Author: Hansen33



. /hive/miners/custom/$CUSTOM_MINER/h-manifest.conf


khs="0"
stats="null"

status_line=$(tail -n1 $CUSTOM_LOG_BASENAME.log)
#status_line="DERO Miner: Height 552016  BLOCKS 0 MiniBlocks 0 Rejected 0 NW 246.141 MH/s MINING @ 1.282 KH/s>>>"

MINER_LOADED=$( echo $status_line | awk '{ print $1 }')


if [[ "$MINER_LOADED" == "DERO" ]]
then

	# Get Hashrate + Uptime

	HS=$(echo $status_line | awk '{ print $16 }')
	HS_UNIT=$(echo $status_line | awk '{ print $17 }' | cut -d / -f 1)

	UPTIME=$(echo $status_line | awk '{ print $19 }')


	if [[ "$HS_UNIT" == "H" ]]
	then
		HS_UNIT="hs"
		khs=$(echo "scale=4; ($HS / 1000)" | bc)
	fi
	if [[ "$HS_UNIT" == "KH" ]]
	then
		HS_UNIT="khs"
		khs=$HS
	fi
	if [[ "$HS_UNIT" == "MH" ]]
	then
		HS_UNIT="mhs"
		khs=$(echo "scale=4; ($HS * 1000)" | bc)
	fi


	## Block Stats

	BLOCKS=$(echo $status_line | awk '{ print $6 }')
	MINIS=$(echo $status_line | awk '{ print $8 }')

	ACCEPTED=$(echo $BLOCKS+$MINIS | bc)
	REJECTED=$(echo $status_line | awk '{ print $10 }')

	# Hardware
	BUS=0
	CPU_CORES=$(cat /proc/cpuinfo | grep processor | wc -l)
	CPU_TEMP=$(/hive/sbin/cpu-temp)
	FAN_SPEED=0

	# make JSON for Hive
	stats=$(jq -nc \
	        --arg hs "[ $HS ]" \
	        --arg hs_units "$HS_UNIT" \
	        --arg temp "[ $CPU_TEMP ]" \
	        --arg fan "[ $FAN_SPEED ]" \
	        --arg ver "$CUSTOM_VERSION" \
	        --arg bus_numbers "[ $BUS ]" \
		--arg acc "$ACCEPTED" \
	        --arg rej "$REJECTED" \
	        --arg algo "$CUSTOM_ALGO" \
	        --arg uptime "$UPTIME" \
	        '{$hs, $hs_units, $bus_numbers, $temp, $fan, uptime: $uptime, ar: [$acc, $rej], $ver, $algo}')

fi
